SDL_GPURenderStateCreateInfo Struct Reference

`#include <SDL_render.h>`

Collaboration diagram for SDL_GPURenderStateCreateInfo:
[legend]

## Data Fields

SDL_GPUShader * | fragment_shader
Sint32 | num_sampler_bindings
const SDL_GPUTextureSamplerBinding * | sampler_bindings
Sint32 | num_storage_textures
SDL_GPUTexture *const * | storage_textures
Sint32 | num_storage_buffers
SDL_GPUBuffer *const * | storage_buffers
SDL_PropertiesID | props

## Detailed Description

A structure specifying the parameters of a GPU render state.

Since
  This struct is available since SDL 3.4.0.

See also
  SDL_CreateGPURenderState

Definition at line 2925 of file SDL_render.h.

## Field Documentation

## fragment_shader

SDL_GPUShader* SDL_GPURenderStateCreateInfo::fragment_shader

The fragment shader to use when this render state is active

Definition at line 2927 of file SDL_render.h.

## num_sampler_bindings

Sint32 SDL_GPURenderStateCreateInfo::num_sampler_bindings

The number of additional fragment samplers to bind when this render state is active

Definition at line 2929 of file SDL_render.h.

## num_storage_buffers

Sint32 SDL_GPURenderStateCreateInfo::num_storage_buffers

The number of storage buffers to bind when this render state is active

Definition at line 2935 of file SDL_render.h.

## num_storage_textures

Sint32 SDL_GPURenderStateCreateInfo::num_storage_textures

The number of storage textures to bind when this render state is active

Definition at line 2932 of file SDL_render.h.

## props

SDL_PropertiesID SDL_GPURenderStateCreateInfo::props

A properties ID for extensions. Should be 0 if no extensions are needed.

Definition at line 2938 of file SDL_render.h.

## sampler_bindings

const SDL_GPUTextureSamplerBinding* SDL_GPURenderStateCreateInfo::sampler_bindings

Additional fragment samplers to bind when this render state is active

Definition at line 2930 of file SDL_render.h.

## storage_buffers

SDL_GPUBuffer* const* SDL_GPURenderStateCreateInfo::storage_buffers

Storage buffers to bind when this render state is active

Definition at line 2936 of file SDL_render.h.

## storage_textures

SDL_GPUTexture* const* SDL_GPURenderStateCreateInfo::storage_textures

Storage textures to bind when this render state is active

Definition at line 2933 of file SDL_render.h.

The documentation for this struct was generated from the following file:

- SDL_render.h